# adapted from example on pnpm.io
FROM node:20-slim AS base
ENV PNPM_HOME="/pnpm"
ENV PATH="$PNPM_HOME:$PATH"
RUN corepack enable
WORKDIR /app
# prod-deps
RUN pnpm add @clickhouse/client
COPY ./src /app
CMD [ "node", "ingest-options-aggregates-from-polygon.mjs" ]