export function sleep(ms){
  return new Promise((resolve)=>{
    setTimeout(resolve, ms);
  });
}

/**
 * Returns the api key, but applies a rate limit.
 */
export const getPolygonApiKey = ((rateLimit)=>{
  const apiKey = "H95NTsatM1iTWLUwDLxM2J5zhUVYdCEz";
  return async ()=>apiKey;
  let lastInvocation = 0;
  return async ()=>{
    const now = Date.now();
    if(now-lastInvocation < rateLimit){
      await sleep(rateLimit - (now-lastInvocation));
    }
    lastInvocation = Date.now();
    return apiKey;
  }
})(13000);